#include "regprop.h"
#include <stdexcept>

int main(int argc, char* args[]) {
  try{
    RegularGenerator program;
    program.Execute(argc, args);
  } catch(runtime_error& e) {
    cerr << "ERROR! " << e.what() << endl;
    exit(1);
  } catch(logic_error& e) {
    cerr << "INTERNAL ERROR! " << e.what() << endl << endl;
    exit(1);
  } catch(...) {
    cerr << "FATAL INTERNAL ERROR." << endl;
    exit(1);
  }

  return 0;
}
