#include "utils.h"

using namespace std;

string get_token(string& s, char delimiter) {
  size_t p = s.find(delimiter);
  string result;
  if (p==string::npos) {
    result = s;
    s = "";
  } else {
    result = s.substr(0, p);
    s.erase(0, p + 1);
  }
  return result;
}

string get_token(string& s, const string& delimiter) {
  size_t p = s.find_first_of(delimiter);
  string result;
  if (p==string::npos) {
    result = s;
    s = "";
  } else {
    result = s.substr(0, p);
    s.erase(0, p + 1);
  }
  return result;
}

string search_replace(const string& source, const string& search,
  const string& replace)
{
  string result = source;
  size_t i = result.find(search);
  if (i!=string::npos)
    result.replace(i, search.size(), replace);
  return result;
}

int select(const string& s, const string& list, char delimiter) {
  string items = list;
  int i = 0;
  while (items!="") {
    if (s==get_token(items, delimiter)) return i;
    i++;
  }
  return -1;
}
